aboutsummaryrefslogtreecommitdiffstats
path: root/hotplug/files/mmc.agent
diff options
context:
space:
mode:
Diffstat (limited to 'hotplug/files/mmc.agent')
-rw-r--r--hotplug/files/mmc.agent44
1 files changed, 44 insertions, 0 deletions
diff --git a/hotplug/files/mmc.agent b/hotplug/files/mmc.agent
index e69de29bb2..20af4c69ad 100644
--- a/hotplug/files/mmc.agent
+++ b/hotplug/files/mmc.agent
@@ -0,0 +1,44 @@
+#!/bin/sh
+#
+# H3600 Sleeve hotplug policy agent for Linux 2.4 kernels
+#
+# Kernel NET hotplug params include:
+#
+# ACTION=%s [add or remove]
+# MEDIA=%s
+# SLOT=%d
+#
+
+. /etc/hotplug/hotplug.functions
+#DEBUG=yes export DEBUG
+
+ echo "Executing $0 action=$ACTION, media=$MEDIA ($SLOT)" > /dev/console
+
+MMC_MOUNT_OPTIONS="-t auto -o sync,noatime"
+
+if [ -f /etc/sysconfig/hotplug ] ; then
+ . /etc/sysconfig/hotplug
+fi
+
+if [ "$ACTION" = "add" ] ; then
+ echo -n add > /dev/console
+ if [ "$MEDIA" = "flash" ] ; then
+ for n in 1 2 3 4 ; do
+ device=/dev/mmc/part$n
+ if [ "$n" = "1" ] ; then
+ card=/mnt/card
+ else
+ card=/mnt/card$n
+ fi
+ [ -b $device ] || break
+ echo flash on $device > /dev/console
+ [ -d $card ] || mkdir -p $card
+ mount $MMC_MOUNT_OPTIONS $device $card
+ done
+ fi
+
+else
+ for card in /mnt/card*; do
+ umount $card
+ done
+fi